<!DOCTYPE html>
<html style="font-size: 16px;" xmlns:th="http://www.thymeleaf.org">
<head>
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta charset="utf-8">
    <meta name="keywords" content="PhotoContest, edit profile">
    <meta name="description" content="">
    <meta name="page_type" content="np-template-header-footer-from-plugin">
    <title>edit-user-new</title>
    <link rel="stylesheet" th:href="@{~/assets/css/user-style.css}" href="../static/assets/css/user-style.css"
          media="screen">
    <link rel="stylesheet" th:href="@{~/assets/css/edit-user-new.css}" href="../static/assets/css/edit-user-new.css"
          media="screen">
    <script class="u-script" type="text/javascript" th:src="@{~/assets/js/jquery.js}"
            src="../static/assets/js/jquery.js" defer=""></script>
    <script class="u-script" type="text/javascript" th:src="@{~/static/assets/js/nicepage.js}"
            src="../static/assets/js/nicepage.js" defer=""></script>
    <meta name="generator" content="Nicepage 3.12.1, nicepage.com">
    <link id="u-theme-google-font" rel="stylesheet"
          href="https://fonts.googleapis.com/css?family=Roboto:100,100i,300,300i,400,400i,500,500i,700,700i,900,900i|Open+Sans:300,300i,400,400i,600,600i,700,700i,800,800i">
    <link id="u-page-google-font" rel="stylesheet"
          href="https://fonts.googleapis.com/css?family=Montserrat:100,100i,200,200i,300,300i,400,400i,500,500i,600,600i,700,700i,800,800i,900,900i|Raleway:100,100i,200,200i,300,300i,400,400i,500,500i,600,600i,700,700i,800,800i,900,900i">


    <script type="application/ld+json">{
        "@context": "http://schema.org",
        "@type": "Organization",
        "name": "",
        "url": "index.html",
        "sameAs": []
    }</script>
    <meta property="og:title" content="edit-user-new">
    <meta property="og:type" content="website">
    <meta name="theme-color" content="#478ac9">
    <link rel="canonical" href="index.html">
    <meta property="og:url" content="index.html">
</head>
<body class="u-body u-overlap u-overlap-transparent">
<header class="u-clearfix u-header" id="sec-afed">
    <div class="u-clearfix u-sheet u-sheet-1">
        <nav class="u-align-left u-menu u-menu-dropdown u-offcanvas u-menu-1" data-responsive-from="XL">
            <div class="menu-collapse">
                <a class="u-button-style u-nav-link" href="#" style="font-size: calc(1em + 8px);">
                    <svg class="u-svg-link" preserveAspectRatio="xMidYMin slice" viewBox="0 0 302 302" style="">
                        <use xmlns:xlink="http://www.w3.org/1999/xlink" xlink:href="#svg-5c50"></use>
                    </svg>
                    <svg xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" version="1.1"
                         id="svg-5c50" x="0px" y="0px" viewBox="0 0 302 302" style="enable-background:new 0 0 302 302;"
                         xml:space="preserve" class="u-svg-content"><g><rect y="36" width="302" height="30"></rect><rect
                            y="236" width="302" height="30"></rect><rect y="136" width="302" height="30"></rect>
</g>
                        <g></g>
                        <g></g>
                        <g></g>
                        <g></g>
                        <g></g>
                        <g></g>
                        <g></g>
                        <g></g>
                        <g></g>
                        <g></g>
                        <g></g>
                        <g></g>
                        <g></g>
                        <g></g>
                        <g></g></svg>
                </a>
            </div>
            <div class="u-custom-menu u-nav-container">
                <ul class="u-nav u-unstyled u-nav-1">
                    <li class="u-nav-item"><a
                            class="u-button-style u-nav-link" href="dashboard.html" th:href="@{/}"
                            th:text="Home">Home</a>
                    </li>
                    <li th:if="${currentUser != null }"
                        class="u-nav-item"><a
                            class="u-button-style u-nav-link" href="contests.html" th:href="@{contests}"
                            th:text="Contests">Contests</a>
                    </li>
                    <li th:if="${currentUser != null && currentUser.getUserCredentials().isOrganizer()}"
                        class="u-nav-item"><a
                            class="u-button-style u-nav-link" href="dashboard.html" th:href="@{dashboard}"
                            th:text="Dashboard">Dashboard</a>
                    </li>
                </ul>
            </div>
            <div class="u-custom-menu u-nav-container-collapse">
                <div class="u-align-center u-black u-container-style u-inner-container-layout u-opacity u-opacity-95 u-sidenav">
                    <div class="u-sidenav-overflow">
                        <div class="u-menu-close"></div>
                        <ul class="u-align-center u-nav u-popupmenu-items u-unstyled u-nav-2">
                            <li class="u-nav-item"><a
                                    class="u-button-style u-nav-link" href="dashboard.html" th:href="@{/}"
                                    th:text="Home">Home</a>
                            </li>
                            <li th:if="${currentUser != null && currentUser.getUserCredentials().isPhotoJunkie()}"
                                class="u-nav-item"><a
                                    class="u-button-style u-nav-link" href="contests.html" th:href="@{contests}"
                                    th:text="Contests">Contests</a>
                            </li>
                            <li th:if="${currentUser != null && currentUser.getUserCredentials().isOrganizer()}"
                                class="u-nav-item"><a
                                    class="u-button-style u-nav-link" href="dashboard.html" th:href="@{dashboard}"
                                    th:text="Dashboard">Dashboard</a>
                            </li>
                            <li class="u-nav-item"><a
                                    class="u-button-style u-nav-link" href="contest-about.html" th:href="@{/contests/about}"
                                    th:text="#{contests.about}">About Contests</a>
                            </li>
                            <li class="u-nav-item"><a
                                    class="u-button-style u-nav-link" href="ranks-about.html" th:href="@{/ranks/about}"
                                    th:text="#{ranks.about}">About Our Ranking System</a>
                            </li>
                        </ul>
                    </div>
                </div>
                <div class="u-black u-menu-overlay u-opacity u-opacity-70"></div>
            </div>
        </nav>
        <h1 class="u-custom-font u-font-raleway u-text u-text-body-alt-color u-text-1">
            <a th:href="@{/}" class="u-active-none u-border-none u-btn u-button-link u-button-style u-hover-none u-none u-text-white u-btn-1"
               href="https://localhost:8080">PhotoContest</a>
        </h1>
    </div>
</header>
<section class="u-align-center u-clearfix u-image u-section-1" id="carousel_8c78" data-image-width="1280"
         data-image-height="853">
    <div class="u-clearfix u-sheet u-sheet-1">
        <h1 class="u-custom-font u-font-montserrat u-text u-text-palette-4-light-1 u-text-1">edit profile</h1>
        <div class="u-form u-form-1">
            <form th:action="@{/profile/{id}/edit(id=${editUserDto.getId()})}" th:object="${editUserDto}" method="POST"
                  class="u-clearfix u-form-spacing-12 u-form-vertical u-inner-form" style="padding: 7px;"
                  source="custom" name="form"
                  redirect="true">
                <div th:if="${#fields.hasErrors('*')}">errors</div>
                <div class="u-form-group u-form-name">
                    <input th:field="*{firstName}" type="text" placeholder="Enter your First Name" id="name-0135"
                           name="firstName" class="u-border-1 u-border-grey-30 u-input u-input-rectangle u-white">
                    <label th:errors="*{firstName}" for="name-0135" class="u-form-control-hidden u-label">First
                        Name</label>
                </div>
                <div class="u-form-group u-form-name u-form-group-2">
                    <input th:field="*{lastName}" type="text" placeholder="Enter your Last Name" id="name-2f91"
                           name="lastName"
                           class="u-border-1 u-border-grey-30 u-input u-input-rectangle u-white">
                    <label th:errors="*{lastName}" for="name-2f91" class="u-form-control-hidden u-label"></label>
                </div>
<!--                <div class="u-form-group u-form-name u-form-group-3">-->
<!--                    <label th:errors="*{username}" for="name-4835"-->
<!--                           class="u-form-control-hidden u-label">Username</label>-->
<!--                    <input th:field="*{username}" type="text" placeholder="Enter your Username" id="name-4835"-->
<!--                           name="username"-->
<!--                           class="u-border-1 u-border-grey-30 u-input u-input-rectangle u-white">-->
<!--                </div>-->
                <div class="u-form-group u-form-name u-form-group-4">
                    <input th:field="*{password}" type="password" placeholder="Enter your Password" id="name-a3a8"
                           name="password"
                           class="u-border-1 u-border-grey-30 u-input u-input-rectangle u-white" required="">
                    <label th:errors="*{password}" for="name-a3a8" class="u-form-control-hidden u-label">Name</label>
                </div>
                <div class="u-form-group u-form-name u-form-group-5">
                    <input th:field="*{passwordConfirm}" type="password" placeholder="Confirm your Password" id="name-ab9c"
                           name="password"
                           class="u-border-1 u-border-grey-30 u-input u-input-rectangle u-white" required="">
                    <label th:errors="*{passwordConfirm}" for="name-ab9c"
                           class="u-form-control-hidden u-label">Name</label>
                </div>
                <div class="u-align-center u-form-group u-form-submit">
                    <button class="u-btn u-btn-round u-btn-submit u-button-style u-hover-palette-4-dark-2 u-palette-4-dark-1 u-radius-42 u-btn-1" type="submit" value="Submit">Submit</button>
                </div>
            </form>
        </div>
    </div>
</section>


<footer class="u-clearfix u-footer u-grey-80" id="sec-6201">
    <div class="u-clearfix u-sheet u-sheet-1">
        <h3 class="u-align-center u-text u-text-1">PhotoContest<br>
        </h3>
        <div class="u-align-left u-social-icons u-spacing-10 u-social-icons-1">
            <a class="u-social-url" title="facebook" target="_blank" href=""><span
                    class="u-icon u-icon-circle u-social-facebook u-social-icon u-icon-1"><svg class="u-svg-link"
                                                                                               preserveAspectRatio="xMidYMin slice"
                                                                                               viewBox="0 0 112 112"
                                                                                               style=""><use
                    xmlns:xlink="http://www.w3.org/1999/xlink" xlink:href="#svg-d329"></use></svg><svg
                    class="u-svg-content" viewBox="0 0 112 112" x="0" y="0" id="svg-d329"><circle fill="currentColor"
                                                                                                  cx="56.1" cy="56.1"
                                                                                                  r="55"></circle><path
                    fill="#FFFFFF" d="M73.5,31.6h-9.1c-1.4,0-3.6,0.8-3.6,3.9v8.5h12.6L72,58.3H60.8v40.8H43.9V58.3h-8V43.9h8v-9.2
            c0-6.7,3.1-17,17-17h12.5v13.9H73.5z"></path></svg></span>
            </a>
            <a class="u-social-url" title="twitter" target="_blank" href=""><span
                    class="u-icon u-icon-circle u-social-icon u-social-twitter u-icon-2"><svg class="u-svg-link"
                                                                                              preserveAspectRatio="xMidYMin slice"
                                                                                              viewBox="0 0 112 112"
                                                                                              style=""><use
                    xmlns:xlink="http://www.w3.org/1999/xlink" xlink:href="#svg-ac6a"></use></svg><svg
                    class="u-svg-content" viewBox="0 0 112 112" x="0" y="0" id="svg-ac6a"><circle fill="currentColor"
                                                                                                  class="st0" cx="56.1"
                                                                                                  cy="56.1"
                                                                                                  r="55"></circle><path
                    fill="#FFFFFF" d="M83.8,47.3c0,0.6,0,1.2,0,1.7c0,17.7-13.5,38.2-38.2,38.2C38,87.2,31,85,25,81.2c1,0.1,2.1,0.2,3.2,0.2
            c6.3,0,12.1-2.1,16.7-5.7c-5.9-0.1-10.8-4-12.5-9.3c0.8,0.2,1.7,0.2,2.5,0.2c1.2,0,2.4-0.2,3.5-0.5c-6.1-1.2-10.8-6.7-10.8-13.1
            c0-0.1,0-0.1,0-0.2c1.8,1,3.9,1.6,6.1,1.7c-3.6-2.4-6-6.5-6-11.2c0-2.5,0.7-4.8,1.8-6.7c6.6,8.1,16.5,13.5,27.6,14
            c-0.2-1-0.3-2-0.3-3.1c0-7.4,6-13.4,13.4-13.4c3.9,0,7.3,1.6,9.8,4.2c3.1-0.6,5.9-1.7,8.5-3.3c-1,3.1-3.1,5.8-5.9,7.4
            c2.7-0.3,5.3-1,7.7-2.1C88.7,43,86.4,45.4,83.8,47.3z"></path></svg></span>
            </a>
            <a class="u-social-url" title="instagram" target="_blank" href=""><span
                    class="u-icon u-icon-circle u-social-icon u-social-instagram u-icon-3"><svg class="u-svg-link"
                                                                                                preserveAspectRatio="xMidYMin slice"
                                                                                                viewBox="0 0 112 112"
                                                                                                style=""><use
                    xmlns:xlink="http://www.w3.org/1999/xlink" xlink:href="#svg-f873"></use></svg><svg
                    class="u-svg-content" viewBox="0 0 112 112" x="0" y="0" id="svg-f873"><circle fill="currentColor"
                                                                                                  cx="56.1" cy="56.1"
                                                                                                  r="55"></circle><path
                    fill="#FFFFFF" d="M55.9,38.2c-9.9,0-17.9,8-17.9,17.9C38,66,46,74,55.9,74c9.9,0,17.9-8,17.9-17.9C73.8,46.2,65.8,38.2,55.9,38.2
            z M55.9,66.4c-5.7,0-10.3-4.6-10.3-10.3c-0.1-5.7,4.6-10.3,10.3-10.3c5.7,0,10.3,4.6,10.3,10.3C66.2,61.8,61.6,66.4,55.9,66.4z"></path><path
                    fill="#FFFFFF"
                    d="M74.3,33.5c-2.3,0-4.2,1.9-4.2,4.2s1.9,4.2,4.2,4.2s4.2-1.9,4.2-4.2S76.6,33.5,74.3,33.5z"></path><path
                    fill="#FFFFFF" d="M73.1,21.3H38.6c-9.7,0-17.5,7.9-17.5,17.5v34.5c0,9.7,7.9,17.6,17.5,17.6h34.5c9.7,0,17.5-7.9,17.5-17.5V38.8
            C90.6,29.1,82.7,21.3,73.1,21.3z M83,73.3c0,5.5-4.5,9.9-9.9,9.9H38.6c-5.5,0-9.9-4.5-9.9-9.9V38.8c0-5.5,4.5-9.9,9.9-9.9h34.5
            c5.5,0,9.9,4.5,9.9,9.9V73.3z"></path></svg></span>
            </a>
            <a class="u-social-url" title="linkedin" target="_blank" href=""><span
                    class="u-icon u-icon-circle u-social-icon u-social-linkedin u-icon-4"><svg class="u-svg-link"
                                                                                               preserveAspectRatio="xMidYMin slice"
                                                                                               viewBox="0 0 112 112"
                                                                                               style=""><use
                    xmlns:xlink="http://www.w3.org/1999/xlink" xlink:href="#svg-24d5"></use></svg><svg
                    class="u-svg-content" viewBox="0 0 112 112" x="0" y="0" id="svg-24d5"><circle fill="currentColor"
                                                                                                  cx="56.1" cy="56.1"
                                                                                                  r="55"></circle><path
                    fill="#FFFFFF" d="M41.3,83.7H27.9V43.4h13.4V83.7z M34.6,37.9L34.6,37.9c-4.6,0-7.5-3.1-7.5-7c0-4,3-7,7.6-7s7.4,3,7.5,7
            C42.2,34.8,39.2,37.9,34.6,37.9z M89.6,83.7H76.2V62.2c0-5.4-1.9-9.1-6.8-9.1c-3.7,0-5.9,2.5-6.9,4.9c-0.4,0.9-0.4,2.1-0.4,3.3v22.5
            H48.7c0,0,0.2-36.5,0-40.3h13.4v5.7c1.8-2.7,5-6.7,12.1-6.7c8.8,0,15.4,5.8,15.4,18.1V83.7z"></path></svg></span>
            </a>
        </div>
        <div class="u-border-1 u-border-white u-expanded-width u-line u-line-horizontal u-opacity u-opacity-50 u-line-1"></div>
        <p class="u-align-center u-text u-text-2"><span class="u-icon u-icon-5"><svg class="u-svg-content"
                                                                                     viewBox="0 0 512 512"
                                                                                     style="width: 1em; height: 1em;"><path
                d="m256 512c-68.378906 0-132.667969-26.628906-181.019531-74.980469-48.351563-48.351562-74.980469-112.640625-74.980469-181.019531s26.628906-132.667969 74.980469-181.019531c48.351562-48.351563 112.640625-74.980469 181.019531-74.980469s132.667969 26.628906 181.019531 74.980469c48.351563 48.351562 74.980469 112.640625 74.980469 181.019531s-26.628906 132.667969-74.980469 181.019531c-48.351562 48.351563-112.640625 74.980469-181.019531 74.980469zm0-472c-119.101562 0-216 96.898438-216 216s96.898438 216 216 216 216-96.898438 216-216-96.898438-216-216-216zm105.359375 321.359375-28.285156-28.285156c-42.5 42.5-111.648438 42.5-154.148438 0s-42.5-111.648438 0-154.148438 111.648438-42.5 154.148438 0l28.285156-28.285156c-58.097656-58.09375-152.625-58.09375-210.71875 0-58.09375 58.097656-58.09375 152.625 0 210.71875 29.046875 29.046875 67.203125 43.570313 105.359375 43.570313 38.152344 0 76.3125-14.523438 105.359375-43.570313zm0 0"></path></svg><img></span>
            All rights reserved PhotoContest
        </p>
    </div>
</footer>
</body>
</html>